summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Manifest.gzbin259987 -> 260008 bytes
-rw-r--r--dev-python/anyio/Manifest2
-rw-r--r--dev-python/anyio/anyio-3.7.0.ebuild65
-rw-r--r--dev-python/asgiref/Manifest2
-rw-r--r--dev-python/asgiref/asgiref-3.7.2.ebuild33
-rw-r--r--dev-python/cachetools/Manifest2
-rw-r--r--dev-python/cachetools/cachetools-5.3.1.ebuild21
-rw-r--r--dev-python/deprecated/Manifest4
-rw-r--r--dev-python/deprecated/deprecated-1.2.14.ebuild27
-rw-r--r--dev-python/deprecated/metadata.xml1
-rw-r--r--dev-python/greenstalk/Manifest2
-rw-r--r--dev-python/greenstalk/greenstalk-2.0.1.ebuild36
-rw-r--r--dev-python/hypothesis/Manifest2
-rw-r--r--dev-python/hypothesis/hypothesis-6.75.6.ebuild106
-rw-r--r--dev-python/pytest-metadata/Manifest2
-rw-r--r--dev-python/pytest-metadata/pytest-metadata-3.0.0.ebuild28
-rw-r--r--dev-python/tox/Manifest2
-rw-r--r--dev-python/tox/tox-4.5.2.ebuild80
18 files changed, 414 insertions, 1 deletions
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index 9532b1b497d3..482c947d32e8 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/anyio/Manifest b/dev-python/anyio/Manifest
index 37fe92bb420f..c4bd5e848262 100644
--- a/dev-python/anyio/Manifest
+++ b/dev-python/anyio/Manifest
@@ -1,3 +1,5 @@
DIST anyio-3.6.1.tar.gz 140240 BLAKE2B 391892591bee88df8fd5c099b6670af8e01af0610f7659e2f2e717c2dfd94d6e5212260acf3acca6c8b149cab6781044fb665d579a63b322332bf87767374858 SHA512 99ae55eada2df971405a1592afd980ac964c80a4502465a2016423182409691d0c943280a3a7448efc78036e481614451585238b62ebea924709f0ba888f7604
+DIST anyio-3.7.0.tar.gz 142737 BLAKE2B f27b6c854f8861c760a922542471b5d7714cd54da0fa999a6efc8e394b49e538e7689147834a4076e1970932416fabe820923c2155048d943eee697454771c8f SHA512 0793012dc364d2bb27ebae8a23f275ecd24d444de750fbebcb72e70ca465a3be9c69938543e1a3c686abfff3ed9036974b38e3886fb24a110a9ef307a82d3f0b
EBUILD anyio-3.6.1.ebuild 1261 BLAKE2B 29ce1a3ea48e87c2c8873680b296c80c4312cb6009b8cb1492ce50aff62bf2072ac2962ff6ce909d0493e8f967bcee06f3dce8b1ab9d8651c16cf94ff82f5d83 SHA512 5ac4030d803427c55b3a2545c628076ac27e4cdfbe7f23fef64b53e396618f552101924dcf875949020e605fd2471fc80b67681530e7dc07513bd78c999c406d
+EBUILD anyio-3.7.0.ebuild 1872 BLAKE2B a92c474a22081c668bf1de23ea904983c2502fd95fcf77b279c915c649f8480d7f7047a4af4bbb7223e74c320a9784d51aef219caf58882183b09af04dec857d SHA512 d63fb30c556a6653fd9d171ba01603d87cf6d421073fb5456786a27bb082ef21cf24e7c908fc9fa999e3d00f0479964976ce59ee03543efd92f2b9f71e4a0b46
MISC metadata.xml 1422 BLAKE2B 63acae587e7088e33ee5eb93a2a222899e54a5eb511118794f88e7c5a012d10983eb925427688a0b509b094e30a9cc9acc5f0c1765ea73e569161e0c30722000 SHA512 e0b540d5d739b7673a5a8682477f209f8b3648aad06a1c0610543a2e9dcbeca1cb1e52212d8088a5987a1c3bc3152cc5984ad5b5d0706fcdb5866b22de07b1eb
diff --git a/dev-python/anyio/anyio-3.7.0.ebuild b/dev-python/anyio/anyio-3.7.0.ebuild
new file mode 100644
index 000000000000..3d11a37fec4e
--- /dev/null
+++ b/dev-python/anyio/anyio-3.7.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Compatibility layer for multiple asynchronous event loop implementations"
+HOMEPAGE="
+ https://github.com/agronholm/anyio/
+ https://pypi.org/project/anyio/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/exceptiongroup[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+ >=dev-python/idna-2.8[${PYTHON_USEDEP}]
+ >=dev-python/sniffio-1.1[${PYTHON_USEDEP}]
+"
+# On amd64, let's get more test coverage by dragging in uvloop, but let's
+# not bother on other arches where uvloop may not be supported.
+BDEPEND="
+ >=dev-python/setuptools-scm-6.4[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/hypothesis-4.0[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.9[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.6.1[${PYTHON_USEDEP}]
+ dev-python/trio[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ amd64? (
+ $(python_gen_cond_dep '
+ >=dev-python/uvloop-0.17[${PYTHON_USEDEP}]
+ ' python3_{10..11})
+ )
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs \
+ dev-python/sphinx-rtd-theme \
+ dev-python/sphinx-autodoc-typehints
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires link-local IPv6 interface
+ tests/test_sockets.py::TestTCPListener::test_bind_link_local
+
+ # trio-0.22?
+ 'tests/test_sockets.py::TestTCPStream::test_connection_refused[trio-multi]'
+ 'tests/test_taskgroups.py::test_exception_group_children[trio]'
+ 'tests/test_taskgroups.py::test_exception_group_host[trio]'
+ 'tests/test_taskgroups.py::test_exception_group_filtering[trio]'
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -m 'not network'
+}
diff --git a/dev-python/asgiref/Manifest b/dev-python/asgiref/Manifest
index 4c5857dfff17..734da9acee6a 100644
--- a/dev-python/asgiref/Manifest
+++ b/dev-python/asgiref/Manifest
@@ -1,7 +1,9 @@
DIST asgiref-3.6.0.tar.gz 32748 BLAKE2B ce3facb2d026551df31ab28a3d9c4bb22be6828664d3b341369eb5dffaec1f2a519ab84356ec89dcfe112a96430be66c70c53d7e36586a3b2f4ee1db61a9d617 SHA512 b74d71e3a5d129117293512ed93e06a9ac0f681766abfc074be6c8deec7160995dee23947da861715fa47e2b9921669b6b5bf247f8d895ffbea7007ea956b9d6
DIST asgiref-3.7.0.tar.gz 33247 BLAKE2B 512d497d57e45b2ea8d0db1d7bd12ebd850087291698067b050988137e4795eb784796ac8ec6cfcce3a67d9cbf11fb88d4a441e5dfd4e9d177400efe979837e9 SHA512 f4672a1ec652e4f05114caf19e1036a6bc71b137af48214292d5f5348340563a450e13520424aae74d75a58c9dbae7acf4f2debf54acbf5c24310e6bf911ac3f
DIST asgiref-3.7.1.tar.gz 33273 BLAKE2B 9c06694ea69874224d062819582689ff541356697933508c93354a3850f9c5c7668fd49a500417c7ad832511b1d647ad199928d4811abbf9d8ee31263a81e12d SHA512 9d9563e50c4e0998d169975d6477f1dd2fb953921eafb54cf42aa36fe6a62f5df6b1f7b562491ffa8587d3c3a716d79858bf314aeae7379ccd0efcf59f330d61
+DIST asgiref-3.7.2.tar.gz 33393 BLAKE2B b5927a141772a2c0bd4c9354692558c766981a2d7b821122eacb7ee6b59aad86925dc2afb179ff9a3823a65cf17faee89bda5560d68a9ae6d82f9ad1cb31d7b2 SHA512 578ccb54e25869ac9bc7bcd59819d4fc056fdb89a27ec3d7c5b74608984c9d18b41f0b281a3a67bf6b56ad85a7009e336bbdd4a76e2b4a0c8a26c0dfef2687a8
EBUILD asgiref-3.6.0.ebuild 603 BLAKE2B 97da6157959bb23d3aa8a6f2686c719f7f62903447dc83fba5ca7baf57bebc80f23d7974fb3dfc2867039768f394ab999a6049111fd3235d33dc2796dcc1c2d4 SHA512 ea7546c349e6c544854fd3a007b21aee727a753979d42dc37ed00a3f08bd6994193162831b1d6f263a4a34a34b8de3eb4927db00a26ba147f86200fd0b224cc8
EBUILD asgiref-3.7.0.ebuild 712 BLAKE2B aff27da56189581615b0b3219b0c5cecc4c9078e6d288ec65d2f29987a479ef0d4707d1e48ff570e0923d8af7391fa85ac781321a1fff8eac8bbaf1886df137e SHA512 694ca7c3acbbb0365df45efe92bc983a5a17db1fddc5a3c86a7cf9bff2f4e66dc9336e6039dfbb395a12075b9a9f5c42327faf587e05b158f9468d7852a9fb74
EBUILD asgiref-3.7.1.ebuild 712 BLAKE2B f286ba376f275ea49e77285b01a2857c5372a6a4393dede788bbfa7b10f17fc990c89db019326fb1ea2f1942bd60cb652b5c490ad3e06be5ca559ac71a28c6a1 SHA512 2e292ae245eb615ee79f581ef8f262e79facaf451d9faa6e4263b5c0f8e46b8dad5c7532a9fc9c3d42fade8ebcd9e45d344b36e0e25d8948cea6faaab1ae95b2
+EBUILD asgiref-3.7.2.ebuild 712 BLAKE2B f286ba376f275ea49e77285b01a2857c5372a6a4393dede788bbfa7b10f17fc990c89db019326fb1ea2f1942bd60cb652b5c490ad3e06be5ca559ac71a28c6a1 SHA512 2e292ae245eb615ee79f581ef8f262e79facaf451d9faa6e4263b5c0f8e46b8dad5c7532a9fc9c3d42fade8ebcd9e45d344b36e0e25d8948cea6faaab1ae95b2
MISC metadata.xml 389 BLAKE2B 312af34b9583dc413f5a5d69c9677ebc2d3fb1d10c192f2b537d8cd057122086009d9c6846f9177fa6b1b96b6fa7641a3d833f4db34ef74db93e73f19042eaa2 SHA512 d35649849ab02fc46837b408ef7de3e45057517c472198b86a1619911bdb451ffffadb26f8dae864f194a1e5c6f424cc904ba342a8f8e84c69fe9fe75286e867
diff --git a/dev-python/asgiref/asgiref-3.7.2.ebuild b/dev-python/asgiref/asgiref-3.7.2.ebuild
new file mode 100644
index 000000000000..550697b5cace
--- /dev/null
+++ b/dev-python/asgiref/asgiref-3.7.2.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="ASGI utilities (successor to WSGI)"
+HOMEPAGE="
+ https://asgi.readthedocs.io/en/latest/
+ https://github.com/django/asgiref/
+ https://pypi.org/project/asgiref/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/cachetools/Manifest b/dev-python/cachetools/Manifest
index 86e377709872..447cac6fcb9a 100644
--- a/dev-python/cachetools/Manifest
+++ b/dev-python/cachetools/Manifest
@@ -1,3 +1,5 @@
DIST cachetools-5.3.0.tar.gz 27935 BLAKE2B 6ef41ef383aebc1d65e2855c6ce2e62ea38163b44f9dca756482ee8f35bbee033b88a3d7d458ea970fafb062f8b202563d478ff3ccae376f424bc643c9dcbe1a SHA512 5f0be2e95b82de4866718744ba1712354b413441eb8978f0bcb3e32306b6671b8ed7fa238aa31bef4c3b97764347d12a375b058f5df51dc80b277bf2cef23e61
+DIST cachetools-5.3.1.tar.gz 27985 BLAKE2B f8fa7c4e0f18d23c319b121fd951c7929277a6e3177687c7151bcc2028b0f1dd1bda18ee996f4f3a24f7ff56527ad3e80a8f90cf15a7d943e251170fedabbda3 SHA512 7e5d92b580660c1a768a65f9dc8343bc9e57c5df5c44a30137558d08a270a2ec7b652d10c1a78c240218a865527a49fa4b6d545c0bc62fe1f79b5d74da1b58cb
EBUILD cachetools-5.3.0.ebuild 496 BLAKE2B 70422eea6784aef0b9ab017cffbf29d79fa77e4ec41a28547bc8d2d1c0deae51b3cceeba777be5646f6dfe3d28bb7a733c967f076a52aa2c20b1ee46aa40aa3b SHA512 9fd4690089ba2364749ea64da734131f9e61ccb674704e036ea2e9f4dbdadf85019a23e04313bbceb180523f49cecbffd3cad54200500ffd5793993633b8ec19
+EBUILD cachetools-5.3.1.ebuild 504 BLAKE2B 267b04003acfaf16a9876a2d0953ecf417f3aebbeaa1efecd5ab7dde3ad81204f2f0583916732e791eb1cbbe3d0892fc6cc2006006d6f7298f46e0fe24c7e4d6 SHA512 12e0b3f2cf4bad0c24f6e4a34038f01c44e9bdca534a071b5a32caed86c94062485b846337d00a682438a93d08dee2f5050c74f5b587821026d0913c3e146088
MISC metadata.xml 508 BLAKE2B 46dd3d86627746b2b26d9980c2773a25cde3fe6d8ef25bffd88edf1cd2f66a9457f09eea791efc1dab3d354f405bf755992e4a44acd721e4e72f085eabf9b61e SHA512 63d48b1e710965f09538e71b982df8e2fdf5693c6043d5498e4536f76e139584f8783479c1742f91fbe45b4e7bf9eec8d8a54d698734c196bbd8d5a14712b59b
diff --git a/dev-python/cachetools/cachetools-5.3.1.ebuild b/dev-python/cachetools/cachetools-5.3.1.ebuild
new file mode 100644
index 000000000000..3b929b9fd7b5
--- /dev/null
+++ b/dev-python/cachetools/cachetools-5.3.1.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Extensible memoizing collections and decorators"
+HOMEPAGE="
+ https://github.com/tkem/cachetools/
+ https://pypi.org/project/cachetools/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+distutils_enable_tests pytest
diff --git a/dev-python/deprecated/Manifest b/dev-python/deprecated/Manifest
index 5aa8444d6d27..94bc5d0b42e1 100644
--- a/dev-python/deprecated/Manifest
+++ b/dev-python/deprecated/Manifest
@@ -1,3 +1,5 @@
+DIST Deprecated-1.2.14.tar.gz 2974416 BLAKE2B d7994a435f7709a74fde71b1bfe20aaec44813893fd8d9fba70b55938ec2dcb01364a0084e5b161ad84819a6ce258ef28813f7272c9cc48cfc8a2159408b5f29 SHA512 5c2f71fc4c1abb6d4a6913bd9644d47d12f709a0830b2aa3513aa2aa92c13e916c49fcd45a5f38aa29279822a5bb8563c4062e5f3e21bb6c55ca97b7845ee736
DIST deprecated-1.2.13.gh.tar.gz 2971610 BLAKE2B 00c1fad34e869b143ad7cada2426f999f1d353d23e33076b0197a7ca6c87b0f2d240d7f4944b7c7669974c89304a6cf04f5d2b4c44e6fee22c27522ec2cc9711 SHA512 c170b086bc4e37462181a0f53edbe745aa4f4924c7fd64d9693de267e070392b74445f9cba935e85c878b755603ca6cada8b4130ac96ab071be284047aa35619
EBUILD deprecated-1.2.13-r1.ebuild 852 BLAKE2B 61bf0fdaae0f0d74ecb037efae44a91c9ce43700fee4043261ba15f0bb1395b1005284ce6a687fe796f5177ee53547cf785bf9832eece4fb72cb0c63e971b72d SHA512 759e360d9052f4dd9ca4c2ce6b2a5992782ea3bd3c13a4fd56bf9a33e200332101755b20c0462ce9cf1572392ce3d8522f8caae831163f7b1d1cb38d67b077cf
-MISC metadata.xml 316 BLAKE2B 0275fd3fa62ad50251204b24fa83ede995c3b25ae8547fe507ae5b61812ad760db24cc2fba35d7af629b8e520e5c2c058c412ad0bd71554b3b350dc085f2f35a SHA512 c7237b466a2f0b791713cb36edf731ead6f37757faaf193fc4889ba17e2e25b5ef68ddbabcf0644c7948e23f13248023f84cda9f1c49723cb5221c603ffb1d5b
+EBUILD deprecated-1.2.14.ebuild 575 BLAKE2B 346889fb8bd621e28408a5c8dc53ee054ef8eed459952711af3c23882db3ab06a36e62eb3ed32658eb6cbd48852247071f29516e39017f535ebc6cea981d90d0 SHA512 2adb03db946f810216cd368ffb18e81ba6b8b2b89f3d94a2f50cd2b02b54c56faed36cb62e2dec3b1d8654a5cef5a9168a62ca0038ebbf3c8a1fa0c3272d3ebe
+MISC metadata.xml 374 BLAKE2B be79deba7ab13c58cb57fc05937c949f2a7fefd60028d35b3c9a4f9a1acdff09535b9f21402f281e9299c9275a3fb8e26a860dfc4712e07422b7f03e8a5ddf48 SHA512 e302d1682a1c252b8d79f7d3126302c3378249aa328c9f1733936805ce423be4d9dca0216eb836fc30208ecb41ac3f077fcc40c0c0c2e195d314f7c840bce5ce
diff --git a/dev-python/deprecated/deprecated-1.2.14.ebuild b/dev-python/deprecated/deprecated-1.2.14.ebuild
new file mode 100644
index 000000000000..f0f289559634
--- /dev/null
+++ b/dev-python/deprecated/deprecated-1.2.14.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYPI_PN=${PN^}
+PYTHON_COMPAT=( python3_{10..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python @deprecated decorator to deprecate old API"
+HOMEPAGE="
+ https://github.com/tantale/deprecated/
+ https://pypi.org/project/Deprecated/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/wrapt[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/deprecated/metadata.xml b/dev-python/deprecated/metadata.xml
index 6f701b39b32b..c45ae963f499 100644
--- a/dev-python/deprecated/metadata.xml
+++ b/dev-python/deprecated/metadata.xml
@@ -6,6 +6,7 @@
</maintainer>
<stabilize-allarches/>
<upstream>
+ <remote-id type="github">tantale/deprecated</remote-id>
<remote-id type="pypi">Deprecated</remote-id>
</upstream>
</pkgmetadata>
diff --git a/dev-python/greenstalk/Manifest b/dev-python/greenstalk/Manifest
index 557463ca2c3e..eba7e18478c0 100644
--- a/dev-python/greenstalk/Manifest
+++ b/dev-python/greenstalk/Manifest
@@ -1,3 +1,5 @@
DIST greenstalk-2.0.0.gh.tar.gz 13280 BLAKE2B 510b84d7dd48e0f5c9fb46ec0158473623a9e4c570e1c72db45802fce7a61b99c8f15f87d6711fa7540e6e2b6d4a846194adc28e2696400c45dc6692747f41fb SHA512 4d338bccb09b7c17c0216ce9cc4c1c9c896d15327053adc248404140ded27df6969fc8f0807120ec9417676ead57395185fb9fc5d826f49a1a1ee473aabbb048
+DIST greenstalk-2.0.1.gh.tar.gz 14355 BLAKE2B 72bb2b85b8054d3c7489eb22883d1dd1b74505de231e464ca1d962ef02df5431663da3d511f3e47c6ec3e1946c30888f2c12436e5bc3fa922d396384ec6c69f5 SHA512 d78694e0828504e7bee75c0a05ee910916310cc6a2f30ae43846350e68e39b2e262b57cb32fa106ae0dfb280ffb8569fb7c03137154d52fc85d586c7ffbccb92
EBUILD greenstalk-2.0.0-r1.ebuild 605 BLAKE2B 129aac1dad6c8fbd7b9353021483fd4cb6d5d584702c6b783b177857b8802ec035560ef0013febeed396413b3d8fa26901a88f6792ac759e0edff2cedf3cd9c6 SHA512 349875581720a6e0d38613f751bce47eb5ea13cc104f5de064b0a448f50d61208c1da72dce2268c7ea8e0280181ae9881bd259f0deacc2ab0742690eb2062db4
+EBUILD greenstalk-2.0.1.ebuild 655 BLAKE2B f95a494bd5becce75d750533a0316768edc26a9d2739a0b63c0256edd92d2ee266ba09f846460ee1013ba4c7ae94afd08b4384b01707f2909352e8e88dbff7b6 SHA512 d1577cff1ee6bcf7ad0b06b06f2609b9898397d6d2edd166109bf036e0548266c5e24d0c88e04b49910c798f88003e4efb7074a711be8ec7ca1c533ef1822c14
MISC metadata.xml 328 BLAKE2B f299b714768a5868d4489a79e607349280bdb6888cf33031bacb0a34e1e8712445edb7dbe710ecddf2c5d81e75b11803b14875401a80f2a99769ce09aaaa0549 SHA512 cdfb1c1e3111e0391f098f2331527b72d8069786e93c2e32bf69211b97c8d754bbb8eb7facba100cc749f7fd1db50574b2ec1dfe7442316b18ff65e6497c7b60
diff --git a/dev-python/greenstalk/greenstalk-2.0.1.ebuild b/dev-python/greenstalk/greenstalk-2.0.1.ebuild
new file mode 100644
index 000000000000..0115a9c503b7
--- /dev/null
+++ b/dev-python/greenstalk/greenstalk-2.0.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python 3 client for the beanstalkd work queue"
+HOMEPAGE="
+ https://greenstalk.readthedocs.io/
+ https://github.com/justinmayhew/greenstalk/
+ https://pypi.org/project/greenstalk/
+"
+SRC_URI="
+ https://github.com/justinmayhew/greenstalk/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ test? (
+ app-misc/beanstalkd
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ epytest tests.py
+}
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 24e86efa269f..e99598bb68f1 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -1,5 +1,7 @@
DIST hypothesis-6.75.3.gh.tar.gz 9369491 BLAKE2B bae51e4f280a0773d4101b5b136ad994cb7eaca64a0a030bf3a9346d15a3caf7864bfc2f92bdff9eaabe83abc492b7e6cf31b19771470f6d680dbea9c83b31a4 SHA512 2e31f2f5483abf4c749dc3ef2758e51b62072e36f257777cecd71ea8f67a08987f5547bc9476dd2dbf8e9a6488fbe76d3d8ae83666bc2e80a2f26ea807cb15aa
DIST hypothesis-6.75.5.gh.tar.gz 9370565 BLAKE2B e9ef05cfc24a0e5ada5ba863b4ce4c2d4884020cc8f3692c35f3f3d25b0a416e4a2c1b2061ea9bbd105a0f30264ca5d91264e99d6e65e79c909e577756803d78 SHA512 c94b5d40fda5e66a216aee5d8b40ca4df2ebf1549674ee81ad84f2456eb6f67348f468293b693708bb61b2999bc2c31d81b0fec277d39dfe256230320a4de0cb
+DIST hypothesis-6.75.6.gh.tar.gz 9370713 BLAKE2B 93996d6ff0c109c11123ad9b653502c44d51277760338c2575840d6257081bb19b0eedbf2d0feb15e9ebc9e6feacdbe79e070bfd31d35bb9c825bb4a2d44b7f5 SHA512 12396799a7f3fe661f5cb72ccf1a7299919d9f4b05a4075810803350380d217e30312d853ba72e49c28c4f1a08143cb76adc87465ba9cef7400e2dad9cc52001
EBUILD hypothesis-6.75.3.ebuild 3332 BLAKE2B f8f40533ab1e341d563093f901fb42bbe290927d1579c201389e5c210d58dd883f5a9cd5819829b76c9cde8c6e0031a8a0234c99d0465855dd699e59b72d6a02 SHA512 f9fb85e22f3d7df7e5eeb0d6e09b5b4f294e281e222e7ddc80b0b92b92b7a6cd80a3eb4e6ee3eaa6b5ef1a2bd7248291e160c584b3d11b5b0a5649f01baca079
EBUILD hypothesis-6.75.5.ebuild 3392 BLAKE2B fb6424f2cc03ef7ae8806ba24f845896c3af5dbb55a52ff60e423f97bf9811a2cf1aca9568260ff75901595a8a8423cae319205c4c6a750510f4751e5019d178 SHA512 3d3ca613a80fb92cec796a1dbcfa3c7d3b1974d9efb7dd268f09a67de4835a6962e82ab88840da75025cea10123ae31807a4497a7523612b6483b78086538e4d
+EBUILD hypothesis-6.75.6.ebuild 3392 BLAKE2B fb6424f2cc03ef7ae8806ba24f845896c3af5dbb55a52ff60e423f97bf9811a2cf1aca9568260ff75901595a8a8423cae319205c4c6a750510f4751e5019d178 SHA512 3d3ca613a80fb92cec796a1dbcfa3c7d3b1974d9efb7dd268f09a67de4835a6962e82ab88840da75025cea10123ae31807a4497a7523612b6483b78086538e4d
MISC metadata.xml 492 BLAKE2B c9e9bbd59af55d1f47e5b7a86933c02b47f832122d03eaca56bd3ec9476cf260d91d4fd2da5068845d4525b7cc9f702b515e8d6a0dffa7923f5898cfd44e12a1 SHA512 166b33d6ac887f52d54fb9d556102038c00650a597d2de1c3aad3f8b5e136e9b6b7db31f05f3379435e4c5f943156d5839d78fc95461af411037a3162ea6705e
diff --git a/dev-python/hypothesis/hypothesis-6.75.6.ebuild b/dev-python/hypothesis/hypothesis-6.75.6.ebuild
new file mode 100644
index 000000000000..73f0790f2dd8
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.75.6.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{10..11} )
+PYTHON_COMPAT=( "${CLI_COMPAT[@]}" python3_12 pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ # NB: paths need to be relative to pytest.ini,
+ # i.e. start with hypothesis-python/
+ local EPYTEST_DESELECT=() EPYTEST_IGNORE=()
+ if [[ ${EPYTHON} == pypy3 ]]; then
+ EPYTEST_DESELECT+=(
+ # failing due to warnings from numpy/cython
+ hypothesis-python/tests/pytest/test_fixtures.py::test_given_plus_overridden_fixture
+ )
+ fi
+ if [[ ${EPYTHON} == python3.12 ]]; then
+ # these look serious but affect hypothesis only partially,
+ # i.e. many revdeps will still work and since this is a test dep,
+ # we don't need it 100% perfect
+ # https://github.com/python/cpython/issues/105013
+ EPYTEST_IGNORE+=(
+ tests/cover/test_type_lookup.py
+ )
+ EPYTEST_DESELECT+=(
+ hypothesis-python/tests/cover/test_complex_numbers.py::test_allow_subnormal
+ hypothesis-python/tests/cover/test_lambda_formatting.py::test_can_get_descriptions_of_nested_lambdas_with_different_names
+ hypothesis-python/tests/cover/test_lookup.py
+ hypothesis-python/tests/cover/test_targeting.py::test_disallowed_inputs_to_target
+ hypothesis-python/tests/cover/test_type_lookup_forward_ref.py
+ hypothesis-python/tests/cover/test_uuids.py
+ hypothesis-python/tests/quality/test_discovery_ability.py::test_one_of_flattens_filter_branches_{1..3}
+ )
+ fi
+
+ epytest -o filterwarnings= -n "$(makeopts_jobs)" \
+ tests/cover tests/pytest tests/quality
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/pytest-metadata/Manifest b/dev-python/pytest-metadata/Manifest
index 5bedf3594c1f..3b59a43f5749 100644
--- a/dev-python/pytest-metadata/Manifest
+++ b/dev-python/pytest-metadata/Manifest
@@ -1,3 +1,5 @@
DIST pytest-metadata-2.0.4.gh.tar.gz 20112 BLAKE2B c7f51b614f2bbb71bd77036c3e71dea26b323a236decee3d74ceb7777dc0d28795c69707af33639154effd6cdd294446d3152597075e4d24dcab5b5fe6d7dff7 SHA512 029a45a3b721841f50f5b96d2edc21b02e59d2b414313e467d232081da048ee1c60dd1d41407a040b6fd65442e70fb538f913523dfddeb8978ea33e36afe341a
+DIST pytest_metadata-3.0.0.tar.gz 9710 BLAKE2B 50f4b0dc1bbed339b0ab0fa5075218f5b8ec5cae873729d1000e34eb2d54d8694580efa3b0884a45b0aeb1ec0edfd41858a287ec8a7efa47adf867b6c8762c1f SHA512 8dd33362ad1e474464f1a762091fa980bc92e9e34f64c7960be36c4875bb585447a363b031d0e8326cb406cb78d0733d99db180f466133a84c1cd080e07ba6e1
EBUILD pytest-metadata-2.0.4.ebuild 786 BLAKE2B c49fd706d32c446ab967f0193a6c455e13c34ee933139caafa8a35384f5235c2564cf949ab0ffca495035db22fc29ab11ad0b100177c45a4686f2458592878bc SHA512 1037bc207c8d289c6c9de2c52cb8ee480c92a12b185adc6ab06736de1d573b2b3af5e859d7db78939b328d7fe259b0eb9dcb3fc9434926f6f62774a376a79bc0
+EBUILD pytest-metadata-3.0.0.ebuild 602 BLAKE2B a253c6186e5f80c3593244756e0bff1c091c3b49176412596875e21821c07df374f221975b4a13b847ed2920e048b99deecfbe5799050622cda65b2ee16e6e4b SHA512 fa26421647fe14acb8b4f332aa478121b3ca934786351ec4148074d008977de8f9b808d6b2586964e52eb0985efbb5a44a7d75bee416934b7d28f06304b9f663
MISC metadata.xml 385 BLAKE2B a888886c89fe52cd8e209fc9638fc3cdbf9b7dde0114c46d57b4f9b91f1ef49ebdb3f967e913036109054547d3840c8bd5ca24e5b80ac541889c48ef63748233 SHA512 20094512c77c3ea6f5501aaff0fc9b6ef07aa0580c555e3da5d6ad25e1ecf2f9f42443b7a43256f3fb99aab029a83a2d2696e9a0c8b2ce81e95ef15ab0c33b23
diff --git a/dev-python/pytest-metadata/pytest-metadata-3.0.0.ebuild b/dev-python/pytest-metadata/pytest-metadata-3.0.0.ebuild
new file mode 100644
index 000000000000..9ddfbd45eedc
--- /dev/null
+++ b/dev-python/pytest-metadata/pytest-metadata-3.0.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A plugin for pytest that provides access to test session metadata"
+HOMEPAGE="
+ https://github.com/pytest-dev/pytest-metadata/
+ https://pypi.org/project/pytest-metadata/
+"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/pytest-7.0.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/hatch-vcs-0.3[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 0c736ea11e56..64edf0d42a2a 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -1,5 +1,7 @@
DIST tox-3.28.0.gh.tar.gz 309472 BLAKE2B 9896411426f6aebb3efa468c01696ecc5f17ec3e67825672d0efc74c1b1468bc8b8d9c14b6177c181750ba4b9a5e77d616068dd83e21f5641acfc8e2a271cc1f SHA512 64816754e6800661bb564c5c7d21c4139522d540a04fafe3c4591d596072d48d1cbe0ee2abee9c8faf3d5007774f5371431b5a7a8f49912bc879c7b168aab2ca
DIST tox-4.5.1.tar.gz 170137 BLAKE2B 38ab00eb577e66211db0ecf8931087a8c5a14f8219eb7ebecb7be9938221d1c680edc09a38a5c72b9ec63825d4cbb2d4fd9157a52aed8cdb0d22a1c1bbb70cba SHA512 75d495d6dba134c3fe537fc190c1f428ff188ee67c346911c02ee151a8369425b22956eea52be5d434735e1590edce57b3487d5f4b277022bf8cfe8bf4660cf8
+DIST tox-4.5.2.tar.gz 170336 BLAKE2B 1dcd2bbd7d153dbf0ac7bb48cdd1826d5fb915b7ef6d30a943138e06bb5d82d67db551f8c6d0342a5a81d91ddfd7da6ad8272fc016eaea27bcd4d69f6be9c605 SHA512 44a6c9821975205258402eaaa2010a0acde98190c77db0361da6c67d793de90871786fe2d78c6c9ee83100d7399e1eac857e2edaf94c64c81fb535ff871a363c
EBUILD tox-3.28.0.ebuild 1916 BLAKE2B ff8aa55245a3f654897ad4c8f5861a55410b2b9442bf3f85aaa0ee236f576efcea1a2ed697c715c7182679b62a4781c5a0f6236eb92a1b12d6ddc73154612a67 SHA512 2f5999d0263da9efb00216600f8b98fb3c204e11640049d92c6106279baeff452468d2bb78236839bc8bd5540d6f9d01338af26315148d81a788d476ec5dbed5
EBUILD tox-4.5.1.ebuild 2677 BLAKE2B 0f93d46d9c831f6b320286b38c2f2b5677442c9fd2c756a109355addba5d7e2efb0657c6ae736f391891508e5d247c1f06afb338ae2a2fb639f962c81939a1a5 SHA512 7a2e2f268c69f8438c6265737f1222561e5707350f6822cdc6d15c425c34f59415b5f7c9bc4993c996c885048f590a696f680ef5a9e41f9daa16cd07b62cc591
+EBUILD tox-4.5.2.ebuild 2685 BLAKE2B d431a1d84cd09d18219631d94e24ad049d1e35647a262e70e75bc1851791dfaa68ac76222cec39798460091850998d7312a328335c4c2c354a9b8d72e4ee3893 SHA512 6831ff1bb781bfc16d9402332998cebbbe06915bf1f5d31bcd8f92cc690c93238ba2731fc9378781dad08bffdcedff8f69a288914c2d0a575e2c8021463d18eb
MISC metadata.xml 382 BLAKE2B 7c0704c5c187ce4a7972fe0372b23c5537a81a8d62fd83436d9558a61761f10764adb5a4d5f6795f0dd1fe905afa604c0be77fe1d48d291847f6ae65dc1b032c SHA512 9d0ced4df9352a81034a50d5766a01534ae8fa889985d99cc9e2a8d0889e31c6c11550677d9a5a74e2aab57c320192ce3a42708a6d23b0419ee34a6054398344
diff --git a/dev-python/tox/tox-4.5.2.ebuild b/dev-python/tox/tox-4.5.2.ebuild
new file mode 100644
index 000000000000..b9104bb8536f
--- /dev/null
+++ b/dev-python/tox/tox-4.5.2.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+ https://tox.readthedocs.io/
+ https://github.com/tox-dev/tox/
+ https://pypi.org/project/tox/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/cachetools-5.3[${PYTHON_USEDEP}]
+ >=dev-python/chardet-5.1[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.6[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.12[${PYTHON_USEDEP}]
+ >=dev-python/packaging-23.1[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-3.5.1[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-1[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-api-1.5.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.{9..10})
+ >=dev-python/virtualenv-20.23[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/hatch-vcs-0.3[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/build-0.10[${PYTHON_USEDEP}]
+ >=dev-python/distlib-0.3.6[${PYTHON_USEDEP}]
+ >=dev-python/flaky-3.7[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.9.5[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-3.3.1[${PYTHON_USEDEP}]
+ >=dev-python/re-assert-1.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/time-machine-2.9[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # devpi_process is not packaged, and has lots of dependencies
+ cat > "${T}"/devpi_process.py <<-EOF || die
+ def IndexServer(*args, **kwargs): raise NotImplementedError()
+ EOF
+
+ local -x PYTHONPATH=${T}:${PYTHONPATH}
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
+ )
+ local EPYTEST_IGNORE=(
+ # requires devpi*
+ tests/test_provision.py
+ )
+
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[explicit-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[constraints-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[explicit+requirements-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements_indirect-True-True]'
+ 'tests/tox_env/python/pip/test_pip_install.py::test_constrain_package_deps[requirements_constraints_indirect-True-True]'
+ )
+
+ epytest
+}